-- 生肖系统
checkRequire("Lua_ZodiacPanel"); -- 生肖
checkRequire("Lua_SecretPanel"); -- 秘藏
checkRequire("Lua_BeastSoulPanel"); -- 兽灵
Lua_ZodiacWindow = class("Lua_ZodiacWindow", Lua_FullSizeTabWindow);
function Lua_ZodiacWindow:ctor()
	self.list = Array();
	self.list:add({name = LanUtil.getValue(143400), eventIds = {22071, 22072, 22073, 22074, 22075, 22076}, openId = 10221, panel = Lua_ZodiacPanel, titleAltas = "titleName_altas_1", titleSprite = "shengxiao"});
	self.list:add({name = LanUtil.getValue(143401), eventIds = {22070}, openId = 10222, panel = Lua_SecretPanel, titleAltas = "titleName_altas_1", titleSprite = "shengxiao"});
	self.list:add({name = LanUtil.getValue(143402), eventIds = {22078, 22079}, openId = 10223, panel = Lua_BeastSoulPanel, titleAltas = "titleName_altas_1", titleSprite = "shengxiao"});

	self:superCall("ctor", self.list);
	self.windowName = "Lua_ZodiacWindow";
end

function Lua_ZodiacWindow:showWin(param)
	self:superCall("showWin", param);

	if type(param) == "table" and param.openIdx ~= nil then
		self:setSelected(param.openIdx, true);
	elseif type(param) == "number" then
		self:setSelected(param, true);
	end
end

function Lua_ZodiacWindow:dispose()
	Lua_ProxyManager.getProxy("Lua_SecretProxy"):sCleanSecretRecord(); -- 清空秘藏召唤记录
	DataCenter.secretData.isShowReward = false;
	self:superCall("dispose");
end