Lua_BeastSoulSkillDetailWindow = class("Lua_BeastSoulSkillDetailWindow", Lua_Window);
function Lua_BeastSoulSkillDetailWindow:ctor()
    self:superCall("ctor");
    
    self.showClose = false;
    self.showBg = false;
    self.isClickClose = true;
    self.layer = 4500;
    self.windowName = "Lua_BeastSoulSkillDetailWindow";
	self.skinName = "BeastSoulSkillDetailWindow_skin";
end

function Lua_BeastSoulSkillDetailWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_BeastSoulSkillDetailWindow:dispose()
	self:superCall("dispose");
end

function Lua_BeastSoulSkillDetailWindow:showWin(param)
	self:superCall("showWin", param);

	self.skillIcon:setAltas(self.showData.atlasName, self.showData.iconName);
	self.skillName.text = self.showData.remark.."Lv."..self.showData.level;
	if self.showData.skillType == nil then
		self.skillType.text = "";
	else
		if self.showData.skillType == 1 then
			self.skillType.text = LanUtil.formateStr(LanUtil.getValue(143450), LanUtil.getValue(110600));
		elseif self.showData.skillType == 4 then
			self.skillType.text = LanUtil.formateStr(LanUtil.getValue(143450), LanUtil.getValue(143484));
		else
			self.skillType.text = LanUtil.formateStr(LanUtil.getValue(143450), LanUtil.getValue(110601));
		end
	end

	local skillStr = "";
	local currentStr = "";
	local nextStr = "";
	if self.showData.isActivate == 0 then
		if self.showData.skill_class == 1 then -- 升星技能
			skillStr = LanUtil.getValue(143478);
			currentStr = LanUtil.formateStr(LanUtil.getValue(143483), self.showData.maxProp);
		else
			skillStr = LanUtil.formateStr(LanUtil.getValue(143479), tostring(self.showData.upCondition));
			currentStr = LanUtil.formateStr(LanUtil.getValue(143487), self.showData.maxProp);
		end
		self.skillDes.text = LanUtil.formateStr(LanUtil.getValue(143475), skillStr);

		self.currentLabel.text = LanUtil.getValue(143480);
		self.currentProp.text = currentStr;
	else
		if self.showData.skill_class == 1 then -- 升星技能
			skillStr = LanUtil.formateStr(LanUtil.getValue(143485), tostring(self.showData.upCondition));
			currentStr = LanUtil.formateStr(LanUtil.getValue(143483), self.showData.currentProp);
		else
			skillStr = LanUtil.formateStr(LanUtil.getValue(143486), tostring(self.showData.upCondition));
			currentStr = LanUtil.formateStr(LanUtil.getValue(143487), self.showData.currentProp);
		end
		self.skillDes.text = LanUtil.formateStr(LanUtil.getValue(143476), skillStr);

		self.currentLabel.text = LanUtil.getValue(143481);
		self.currentProp.text = currentStr;
	end

	if self.showData.isMaxLevel then
		self.nextObj:SetActive(false);
		self.skillDes.text = LanUtil.getValue(143477);
	else
		self.nextObj:SetActive(true);
		self.nextLabel.text = LanUtil.getValue(143482);
		if self.showData.skill_class == 1 then -- 升星技能
			nextStr = LanUtil.formateStr(LanUtil.getValue(143483), self.showData.nextProp);
		else
			nextStr = LanUtil.formateStr(LanUtil.getValue(143487), self.showData.nextProp);
		end
		self.nextProp.text = nextStr;
	end
end