Lua_ZodiacIntensifyItem = class("Lua_ZodiacIntensifyItem", Lua_DragContainerItem);
function Lua_ZodiacIntensifyItem:ctor(p)	
	self:superCall("ctor", p, "ZodiacIntensifyItem_skin");
end

function Lua_ZodiacIntensifyItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_ZodiacIntensifyItem:dispose()
	self:superCall("dispose");
end

function Lua_ZodiacIntensifyItem:setData(data)
	self.data = data;

	self.currLabel.text = data.currLabel;
	if data.nextLabel ~= nil then
		self.nextLabel:setEnable(true);
		self.nextLabel.text = data.nextLabel;
	end
	if data.costVo ~= nil then
		self.arrowSp:setLocation(118, 0, 0);
		self.arrowSp:setAltas("item17", "217040001");
		self.arrowSp.clickScale = false;
		self.arrowSp:addClickFuntion(self, self.onArrowSpClick);
	end

	if data.nextLabel == nil and data.costVo == nil then
		self.nextLabel:setEnable(false);
		self.arrowSp:setEnable(false);
	elseif data.nextLabel == nil then
		self.nextLabel:setEnable(false);
	elseif data.costVo == nil then
		self.arrowSp:setLocation(185, 0, 0);
	end
end

function Lua_ZodiacIntensifyItem:getHeight()
    return self.nextLabel.height + 15;
end

function Lua_ZodiacIntensifyItem:onArrowSpClick()
	if self.data.costVo ~= nil then
	    Lua_PackUtil.showItemInfo(self.data.costVo);
	end
end