-- 所有生肖之力
Lua_ZodiacPowerWindow = class("Lua_ZodiacPowerWindow", Lua_Window);
function Lua_ZodiacPowerWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ZodiacPowerWindow";
	self.skinName = "ZodiacPowerWindow_skin";
	self.layer = 4500;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_ZodiacPowerWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.powerList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 376, 175));
	self.powerList:setLocation(0, -15, 0);
	self.powerList:setListCell(Lua_ZodiacPowerItem, 30, 220, 1);
	self.powerList:setLuaArrayData(DataCenter.zodiacData.zodiacPowerArr, false);
end

function Lua_ZodiacPowerWindow:dispose()
	if self.powerList == nil then
		self.powerList:dispose();
		self.powerList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_ZodiacPowerItem = class("Lua_ZodiacPowerItem", Lua_ListCell);
function Lua_ZodiacPowerItem:ctor(p)
	self:superCall("ctor", p, nil);
end

function Lua_ZodiacPowerItem:buildShowItem()
	self:superCall("buildShowItem");

	self.powerTxt = UICreate.createLabel(self.content, "", 73, 0, 300, 22, 22);
	self.powerTxt.pivot = UIWidget.Pivot.Center;
	self.powerTxt.overflowMethod = UILabel.Overflow.ShrinkContent;
	self.powerTxt:setDepth(10);
end

function Lua_ZodiacPowerItem:setData(data)
	self.powerTxt.text = "[B1CAF4]"..data.name.."：".."[-]".."[EDF4FD]"..data.value.."[-]";
end

function Lua_ZodiacPowerItem:dispose()
	if self.powerTxt ~= nil then
		self.powerTxt:dispose();
		self.powerTxt = nil;
	end
	self:superCall("dispose");
end