Lua_ZodiacEquipHoleItem = class("Lua_ZodiacEquipHoleItem", Lua_DisplayObject);
function Lua_ZodiacEquipHoleItem:ctor(p, isClick)
	self.isClick = isClick == nil and 1 or isClick;
	self:superCall("ctor", p, "ZodiacEquipHoleItem_skin");
end

function Lua_ZodiacEquipHoleItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemImg = Lua_ToolImage.new(self.content);
    self.itemImg:setDepth(10);
    self.itemImg:setLocation(0, 0, 0);
    self.itemImg:setCanClick(true);
    self.itemImg:setEnable(false);

    if self.isClick == 1 then
    	self.itemBg.clickScale = false;
		self.itemBg:addClickFuntion(self, self.onItemBgClick);
	end
end

function Lua_ZodiacEquipHoleItem:dispose()
	self:superCall("dispose");
end

function Lua_ZodiacEquipHoleItem:setData(data)
	self.data = data;

	if data.equipVo ~= nil then
		self.itemObj:SetActive(false);
		self.itemImg:setEnable(true);
		self.itemImg.data = data.equipVo;
	else
		self.itemObj:SetActive(true);
		self.itemImg:setEnable(false);
		self.itemImg.data = nil;
	end
end

function Lua_ZodiacEquipHoleItem:onItemBgClick(go)
	Lua_WindowUtil.openWin("Lua_ZodiacPackWindow", WinParam.ACTION_OPEN);
end