Lua_ZodiacSkillDetailWindow = class("Lua_ZodiacSkillDetailWindow", Lua_Window);
function Lua_ZodiacSkillDetailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ZodiacSkillDetailWindow";
	self.skinName = "ZodiacSkillDetailWindow_skin";
	self.layer = 4500;
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_ZodiacSkillDetailWindow:showWin(param)
	self:superCall("showWin", param);

	self.skillName.text = param.remark;
	self.skillDes.text = param.skillDes;
	self.skillIcon:setAltas(param.atlasName, param.iconName);
	if param.skillType == nil then
		self.skillType.text = "";
	else
		if param.skillType == 1 then
			self.skillType.text = LanUtil.formateStr(LanUtil.getValue(143450), LanUtil.getValue(110600));
		elseif param.skillType > 1 then
			self.skillType.text = LanUtil.formateStr(LanUtil.getValue(143450), LanUtil.getValue(110601));
		end
	end
end